anyio==4.4.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
appnope==0.1.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0" and platform_system == "Darwin"
argon2-cffi-bindings==21.2.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
argon2-cffi==23.1.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
arrow==1.3.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
asgiref==3.8.1 ; python_version >= "3.10" and python_full_version < "4.0.0"
astroid==3.2.4 ; python_full_version >= "3.10.0" and python_version < "4.0"
asttokens==2.4.1 ; python_version >= "3.10" and python_full_version < "4.0.0"
async-lru==2.0.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
attrs==24.2.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
autopep8==2.3.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
babel==2.16.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
backports-tarfile==1.2.0 ; python_full_version >= "3.10.0" and python_version < "3.12"
beautifulsoup4==4.12.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
black==24.8.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
bleach==6.1.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
cachetools==5.5.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
certifi==2024.8.30 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
cffi==1.17.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
cfgv==3.4.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
chardet==5.2.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
charset-normalizer==3.3.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
cli-ui==0.17.2 ; python_full_version >= "3.10.0" and python_version < "4.0"
click==8.1.7 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
colorama==0.4.6 ; python_version >= "3.10" and python_version < "4.0"
comm==0.2.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
coverage==7.6.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
coverage[toml]==7.6.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
cryptography==43.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0" and sys_platform == "linux"
debugpy==1.8.5 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
decorator==5.1.1 ; python_version >= "3.10" and python_full_version < "4.0.0"
defusedxml==0.7.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
dill==0.3.8 ; python_full_version >= "3.10.0" and python_version < "4.0"
distlib==0.3.8 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
django-codemirror2==0.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
django==5.1 ; python_version >= "3.10" and python_full_version < "4.0.0"
docopt==0.6.2 ; python_full_version >= "3.10.0" and python_version < "4.0"
docutils==0.21.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
exceptiongroup==1.2.2 ; python_version >= "3.10" and python_version < "3.11"
executing==2.1.0 ; python_version >= "3.10" and python_full_version < "4.0.0"
fastjsonschema==2.20.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
filelock==3.15.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
flake8-black==0.3.6 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
flake8==7.1.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
fqdn==1.5.1 ; python_full_version >= "3.10.0" and python_version < "4"
h11==0.14.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
httpcore==1.0.5 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
httpx==0.27.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
identify==2.6.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
idna==3.8 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
importlib-metadata==8.4.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
iniconfig==2.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
ipykernel==6.29.5 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
ipython==8.27.0 ; python_version >= "3.10" and python_full_version < "4.0.0"
isoduration==20.11.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
isort==5.13.2 ; python_full_version >= "3.10.0" and python_version < "4.0"
jaraco-classes==3.4.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jaraco-context==6.0.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jaraco-functools==4.0.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jedi==0.19.1 ; python_version >= "3.10" and python_full_version < "4.0.0"
jeepney==0.8.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0" and sys_platform == "linux"
jinja2==3.1.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
json5==0.9.25 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jsonpointer==3.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jsonschema-specifications==2023.12.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jsonschema==4.23.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jsonschema[format-nongpl]==4.23.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyter-client==8.6.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyter-core==5.7.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyter-events==0.10.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyter-lsp==2.2.5 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyter-server-terminals==0.5.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyter-server==2.14.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyterlab-pygments==0.3.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyterlab-server==2.27.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
jupyterlab==4.2.5 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
keyring==25.3.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
markdown-it-py==3.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
markupsafe==2.1.5 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
matplotlib-inline==0.1.7 ; python_version >= "3.10" and python_full_version < "4.0.0"
mccabe==0.7.0 ; python_full_version >= "3.10.0" and python_version < "4.0"
mdurl==0.1.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
mistune==3.0.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
more-itertools==10.4.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
multidict==6.0.5 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
mypy-extensions==1.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
mypy==1.11.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
nbclient==0.10.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
nbconvert==7.16.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
nbformat==5.10.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
nest-asyncio==1.6.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
nh3==0.2.18 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
nodeenv==1.9.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
notebook-shim==0.2.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
overrides==7.7.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
packaging==24.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pandocfilters==1.5.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
parso==0.8.4 ; python_version >= "3.10" and python_full_version < "4.0.0"
pathspec==0.12.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pexpect==4.9.0 ; python_version >= "3.10" and python_full_version < "4.0.0" and (sys_platform != "win32" and sys_platform != "emscripten")
pkginfo==1.10.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
platformdirs==4.2.2 ; python_full_version >= "3.10.0" and python_version < "4.0"
pluggy==1.5.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pre-commit==3.8.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
prometheus-client==0.20.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
prompt-toolkit==3.0.47 ; python_version >= "3.10" and python_full_version < "4.0.0"
psutil==6.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
ptyprocess==0.7.0 ; python_version >= "3.10" and python_full_version < "4.0.0" and (os_name != "nt" or sys_platform != "win32" and sys_platform != "emscripten")
pure-eval==0.2.3 ; python_version >= "3.10" and python_full_version < "4.0.0"
pycodestyle==2.12.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pycparser==2.22 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pydocstyle==6.3.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pyflakes==3.2.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pygments==2.18.0 ; python_version >= "3.10" and python_full_version < "4.0.0"
pylint-django==2.5.5 ; python_full_version >= "3.10.0" and python_version < "4.0"
pylint-plugin-utils==0.8.2 ; python_full_version >= "3.10.0" and python_version < "4.0"
pylint==3.2.7 ; python_full_version >= "3.10.0" and python_version < "4.0"
pyproject-api==1.7.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pytest-cov==5.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pytest-vcr==1.0.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pytest==8.3.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
python-dateutil==2.9.0.post0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
python-dotenv==1.0.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
python-json-logger==2.0.7 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pywin32-ctypes==0.2.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0" and sys_platform == "win32"
pywin32==306 ; sys_platform == "win32" and platform_python_implementation != "PyPy" and python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pywinpty==2.0.13 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0" and os_name == "nt"
pyyaml==6.0.2 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
pyzmq==26.2.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
readme-renderer==44.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
referencing==0.35.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
requests-toolbelt==1.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
requests==2.32.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
rfc3339-validator==0.1.4 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
rfc3986-validator==0.1.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
rfc3986==2.0.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
rich==13.8.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
rpds-py==0.20.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
schema==0.7.7 ; python_full_version >= "3.10.0" and python_version < "4.0"
secretstorage==3.3.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0" and sys_platform == "linux"
send2trash==1.8.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
setuptools==74.1.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
six==1.16.0 ; python_version >= "3.10" and python_full_version < "4.0.0"
sniffio==1.3.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
snowballstemmer==2.2.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
soupsieve==2.6 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
sqlparse==0.5.1 ; python_version >= "3.10" and python_full_version < "4.0.0"
stack-data==0.6.3 ; python_version >= "3.10" and python_full_version < "4.0.0"
tabulate==0.8.10 ; python_full_version >= "3.10.0" and python_version < "4.0"
tbump==6.11.0 ; python_full_version >= "3.10.0" and python_version < "4.0"
terminado==0.18.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
tinycss2==1.3.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
tomli==2.0.1 ; python_full_version >= "3.10.0" and python_full_version <= "3.11.0a6"
tomlkit==0.11.8 ; python_full_version >= "3.10.0" and python_version < "4.0"
tornado==6.4.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
tox==4.18.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
traitlets==5.14.3 ; python_version >= "3.10" and python_full_version < "4.0.0"
twine==5.1.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
types-python-dateutil==2.9.0.20240821 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
typing-extensions==4.12.2 ; python_version >= "3.10" and python_full_version < "4.0.0"
tzdata==2024.1 ; python_version >= "3.10" and python_full_version < "4.0.0" and sys_platform == "win32"
unidecode==1.3.8 ; python_full_version >= "3.10.0" and python_version < "4.0"
uri-template==1.3.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
urllib3==1.26.20 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
vcrpy==6.0.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
virtualenv==20.26.3 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
wcwidth==0.2.13 ; python_version >= "3.10" and python_full_version < "4.0.0"
webcolors==24.8.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
webencodings==0.5.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
websocket-client==1.8.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
wrapt==1.16.0 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
yarl==1.9.7 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
zipp==3.20.1 ; python_full_version >= "3.10.0" and python_full_version < "4.0.0"
